/**************************************************************/
/* *                                                        * */
/* *       CLASS FILELISTENER                               * */
/* *                                                        * */
/* *  $Module:   FILELISTENER                               * */ 
/* *                                                        * */
/* *  Copyright (C) 2001, 2002 MPI fuer Informatik          * */
/* *                                                        * */
/* *  This program is free software; you can redistribute   * */
/* *  it and/or modify it under the terms of the GNU        * */
/* *  General Public License as published by the Free       * */
/* *  Software Foundation; either version 2 of the License, * */
/* *  or (at your option) any later version.                * */
/* *                                                        * */
/* *  This program is distributed in the hope that it will  * */
/* *  be useful, but WITHOUT ANY WARRANTY; without even     * */
/* *  the implied warranty of MERCHANTABILITY or FITNESS    * */
/* *  FOR A PARTICULAR PURPOSE.  See the GNU General Public * */
/* *  License for more details.                             * */
/* *                                                        * */
/* *  You should have received a copy of the GNU General    * */
/* *  Public License along with this program; if not, write * */
/* *  to the Free Software Foundation, Inc., 59 Temple      * */
/* *  Place, Suite 330, Boston, MA  02111-1307  USA         * */
/* *                                                        * */
/* *                                                        * */
/* $Revision: 1.1.1.1 $                                         * */
/* $State: Exp $                                            * */
/* $Date: 2006/02/20 10:28:30 $                             * */
/* $Author: topic $                                         * */
/* *                                                        * */
/* *             Contact:                                   * */
/* *             Christoph Weidenbach                       * */
/* *             MPI fuer Informatik                        * */
/* *             Im Stadtwald                               * */
/* *             66123 Saarbruecken                         * */
/* *             Email: weidenb@mpi-inf.mpg.de               * */
/* *             Germany                                    * */
/* *                                                        * */
/* ********************************************************** */
/**************************************************************/

#ifndef _FILE_LISTENER_
#define _FILE_LISTENER_

/**************************************************************/
/*                         INCLUDES                           */
/**************************************************************/

#include <qstring.h>

#include <QFileDialog>

#include "Listener.h"
#include "SPASSSplitter.h"
#include "SPASSFiles.h"
#include "SPASSStatusBar.h"

/* This class implements a common base for file event handlers. */
class FileListener : public Listener {
 public:

 FileListener(SPASSFiles *files, SPASSSplitter *splitter, SPASSStatusBar *status);

 protected:

 SPASSFiles *files;
 SPASSSplitter *splitterWidget;
 SPASSStatusBar *statusbar;

 static QString getFileName(const QString & widget_title, QFileDialog::FileMode mode);
 void handleFileOpen (QString);
 int handleModifiedInput(void);
 void save(void);
 void save(const char *);
 void showFile(void);

 private:
 static const QString DFG_FILTER;
 static QString current_dir;

 static QFileDialog* getExecutedFileDialog(const QString & widget_title, QFileDialog::Mode mode);
 static void setCurrentDir(const QString & dir);
};

#endif /* _FILE_LISTENER_ */
