/**************************************************************/
/* ********************************************************** */
/* *                                                        * */
/* *       CLASS OPENFILELISTENER                           * */
/* *                                                        * */
/* *  $Module:   OPENFILELISTENER                           * */ 
/* *                                                        * */
/* *  Copyright (C) 2001, 2002 MPI fuer Informatik          * */
/* *                                                        * */
/* *  This program is free software; you can redistribute   * */
/* *  it and/or modify it under the terms of the GNU        * */
/* *  General Public License as published by the Free       * */
/* *  Software Foundation; either version 2 of the License, * */
/* *  or (at your option) any later version.                * */
/* *                                                        * */
/* *  This program is distributed in the hope that it will  * */
/* *  be useful, but WITHOUT ANY WARRANTY; without even     * */
/* *  the implied warranty of MERCHANTABILITY or FITNESS    * */
/* *  FOR A PARTICULAR PURPOSE.  See the GNU General Public * */
/* *  License for more details.                             * */
/* *                                                        * */
/* *  You should have received a copy of the GNU General    * */
/* *  Public License along with this program; if not, write * */
/* *  to the Free Software Foundation, Inc., 59 Temple      * */
/* *  Place, Suite 330, Boston, MA  02111-1307  USA         * */
/* *                                                        * */
/* *                                                        * */
/* $Revision: 1.1.1.1 $                                         * */
/* $State: Exp $                                            * */
/* $Date: 2006/02/20 10:28:30 $                             * */
/* $Author: topic $                                         * */
/* *                                                        * */
/* *             Contact:                                   * */
/* *             Christoph Weidenbach                       * */
/* *             MPI fuer Informatik                        * */
/* *             Im Stadtwald                               * */
/* *             66123 Saarbruecken                         * */
/* *             Email: weidenb@mpi-inf.mpg.de               * */
/* *             Germany                                    * */
/* *                                                        * */
/* ********************************************************** */
/**************************************************************/

#ifndef _OPEN_FILE_LISTENER_
#define _OPEN_FILE_LISTENER_

/**************************************************************/
/*                         INCLUDES                           */
/**************************************************************/

#include <qaction.h>

#include "FileListener.h"
#include "SaveFileListener.h"
#include "SPASSFiles.h"
#include "SPASSSplitter.h"
#include "SPASSStatusBar.h"

/* This class handles open file events. */
class OpenFileListener : public FileListener {
  Q_OBJECT
    public:

  OpenFileListener(SPASSFiles *files, SPASSSplitter * splitter, SPASSStatusBar *status, QAction * action, SaveFileListener *savelistener);

  public slots:

    void listen(void);

 private:
  SaveFileListener * saver;

  static const QString DIALOG_TITLE;
};

#endif /* _OPEN_FILE_LISTENER_ */
