/**************************************************************/
/* ********************************************************** */
/* *                                                        * */
/* *         CLASS SPASSAPPLICATIONS                        * */
/* *                                                        * */
/* *  $Module:   SPASSAPPLICATIONS                          * */ 
/* *                                                        * */
/* *  Copyright (C) 1999, 2001, 2002 MPI fuer Informatik    * */
/* *                                                        * */
/* *  This program is free software; you can redistribute   * */
/* *  it and/or modify it under the terms of the GNU        * */
/* *  General Public License as published by the Free       * */
/* *  Software Foundation; either version 2 of the License, * */
/* *  or (at your option) any later version.                * */
/* *                                                        * */
/* *  This program is distributed in the hope that it will  * */
/* *  be useful, but WITHOUT ANY WARRANTY; without even     * */
/* *  the implied warranty of MERCHANTABILITY or FITNESS    * */
/* *  FOR A PARTICULAR PURPOSE.  See the GNU General Public * */
/* *  License for more details.                             * */
/* *                                                        * */
/* *  You should have received a copy of the GNU General    * */
/* *  Public License along with this program; if not, write * */
/* *  to the Free Software Foundation, Inc., 59 Temple      * */
/* *  Place, Suite 330, Boston, MA  02111-1307  USA         * */
/* *                                                        * */
/* *                                                        * */
/* $Revision: 1.1.1.1 $                                         * */
/* $State: Exp $                                            * */
/* $Date: 2006/02/20 10:28:30 $                             * */
/* $Author: topic $                                      * */
/* *                                                        * */
/* *             Contact:                                   * */
/* *             Christoph Weidenbach                       * */
/* *             MPI fuer Informatik                        * */
/* *             Im Stadtwald                               * */
/* *             66123 Saarbruecken                         * */
/* *             Email: weidenb@mpi-inf.mpg.de               * */
/* *             Germany                                    * */
/* *                                                        * */
/* ********************************************************** */
/**************************************************************/

/**************************************************************/
/*                         INCLUDES                           */
/**************************************************************/

#include "SPASSApplications.h"

/**************************************************************/
/*                         CONSTANTS                          */
/**************************************************************/

#ifndef SPASS_BIN_PREFIX
#define SPASS_BIN_PREFIX "./"
#endif

const QString SPASSApplications::SPASS(QDir::convertSeparators(QDir::cleanPath(SPASS_BIN_PREFIX "SPASS")));
const QString SPASSApplications::DFG2ASCII(QDir::convertSeparators(QDir::cleanPath(SPASS_BIN_PREFIX "dfg2ascii")));
const QString SPASSApplications::DFG2DFG(QDir::convertSeparators(QDir::cleanPath(SPASS_BIN_PREFIX "dfg2dfg")));

/**************************************************************/
/*                         CONSTRUCTORS                       */
/**************************************************************/
/**********************************************************
  INPUT:   None.
  RETURNS: None.
  EFFECT:  Creates an instance of this class.
***********************************************************/
SPASSApplications::SPASSApplications(void)
{
  dfg2asciiProcess = new Q3Process(NULL, "dfg2ascii process");
  Q_CHECK_PTR(dfg2asciiProcess);

  dfg2dfgProcess = new Q3Process(NULL, "dfg2dfg process");
  Q_CHECK_PTR(dfg2dfgProcess);

  spassProcess = new Q3Process(NULL, "spass process");
  Q_CHECK_PTR(spassProcess);
}

/**************************************************************/
/*                         DESTRUCTORS                        */
/**************************************************************/
/**********************************************************
  INPUT:   None.
  RETURNS: None.
  EFFECT:  Deletes an instance of this class.
***********************************************************/
SPASSApplications::~SPASSApplications(void)
{
  delete dfg2asciiProcess;
  delete dfg2dfgProcess;
  delete spassProcess;
}
