/**************************************************************/
/* ********************************************************** */
/* *                                                        * */
/* *              CLASS SPASSDESKTOPMAINWIDGET              * */
/* *                                                        * */
/* *  $Module:   SPASSDESKTOPMAINWIDGET                     * */ 
/* *                                                        * */
/* *  Copyright (C) 1999, 2001, 2002 MPI fuer Informatik    * */
/* *                                                        * */
/* *  This program is free software; you can redistribute   * */
/* *  it and/or modify it under the terms of the GNU        * */
/* *  General Public License as published by the Free       * */
/* *  Software Foundation; either version 2 of the License, * */
/* *  or (at your option) any later version.                * */
/* *                                                        * */
/* *  This program is distributed in the hope that it will  * */
/* *  be useful, but WITHOUT ANY WARRANTY; without even     * */
/* *  the implied warranty of MERCHANTABILITY or FITNESS    * */
/* *  FOR A PARTICULAR PURPOSE.  See the GNU General Public * */
/* *  License for more details.                             * */
/* *                                                        * */
/* *  You should have received a copy of the GNU General    * */
/* *  Public License along with this program; if not, write * */
/* *  to the Free Software Foundation, Inc., 59 Temple      * */
/* *  Place, Suite 330, Boston, MA  02111-1307  USA         * */
/* *                                                        * */
/* *                                                        * */
/* $Revision: 1.2 $                                         * */
/* $State: Exp $                                            * */
/* $Date: 2007/01/25 16:17:13 $                             * */
/* $Author: topic $                                      * */
/* *                                                        * */
/* *             Contact:                                   * */
/* *             Christoph Weidenbach                       * */
/* *             MPI fuer Informatik                        * */
/* *             Im Stadtwald                               * */
/* *             66123 Saarbruecken                         * */
/* *             Email: weidenb@mpi-inf.mpg.de               * */
/* *             Germany                                    * */
/* *                                                        * */
/* ********************************************************** */
/**************************************************************/

#ifndef _SPASSDESKTOPMAINWIDGET_
#define _SPASSDESKTOPMAINWIDGET_

/**************************************************************/
/*                         INCLUDES                           */
/**************************************************************/

#include <q3process.h>
#include <qstring.h>
#include <q3vbox.h>

#include "AboutListener.h"
#include "CopyOutputListener.h"
#include "HelpListener.h"
#include "KillApplicationListener.h"
#include "NewFileListener.h"
#include "OpenFileListener.h"
#include "PDFHelpListener.h"
#include "RunApplicationListener.h"
#include "SaveFileListener.h"
#include "SaveAsFileListener.h"
#include "SPASSActions.h"
#include "SPASSApplications.h"
#include "SPASSFiles.h"
#include "SPASSToolOptions.h"
#include "SPASSSplitter.h"
#include "SPASSStatusBar.h"

/**************************************************************/
/*          the main widget for the SPASS Desktop             */ 
/**************************************************************/
class SPASSDesktopMainWidget : public Q3VBox
{
 Q_OBJECT 

   public:

 SPASSDesktopMainWidget (SPASSActions* actions, SPASSApplications* apps, SPASSFiles* files, SPASSStatusBar* status, QWidget* parent = NULL, const char* name = NULL, Qt::WFlags f = 0);
  SaveFileListener* getSaveFileListener(void);

 private:
 SPASSSplitter               splitter;
 SPASSToolOptions            tooloptions;
 RunApplicationListener      dfg2asciiRunner;
 RunApplicationListener      dfg2dfgRunner;
 RunApplicationListener      spassRunner;
 KillApplicationListener     spassKiller;
 SaveFileListener            saver;
 SaveAsFileListener          saveAsFileListener;
 NewFileListener             newFileListener;
 OpenFileListener            openFileListener;
 CopyOutputListener          copyOutputListener;
 AboutListener               aboutListener;
 HelpListener                spassHelpListener;
 HelpListener                dfg2dfgHelpListener;
 PDFHelpListener             spass_syntaxHelpListener;
 PDFHelpListener             handbookHelpListener;
 HelpListener                faqHelpListener;
 HelpListener                licenseHelpListener;
 HelpListener                warrantyHelpListener;
};

#endif /* _SPASSDESKTOPMAINWIDGET_ */
