/**************************************************************/
/* ********************************************************** */
/* *                                                        * */
/* *              CLASS SPASSDESKTOPWIDGET                  * */
/* *                                                        * */
/* *  $Module:   SPASSDESKTOPWIDGET                         * */
/* *                                                        * */
/* *  Copyright (C) 1999, 2001, 2002 MPI fuer Informatik    * */
/* *                                                        * */
/* *  This program is free software; you can redistribute   * */
/* *  it and/or modify it under the terms of the GNU        * */
/* *  General Public License as published by the Free       * */
/* *  Software Foundation; either version 2 of the License, * */
/* *  or (at your option) any later version.                * */
/* *                                                        * */
/* *  This program is distributed in the hope that it will  * */
/* *  be useful, but WITHOUT ANY WARRANTY; without even     * */
/* *  the implied warranty of MERCHANTABILITY or FITNESS    * */
/* *  FOR A PARTICULAR PURPOSE.  See the GNU General Public * */
/* *  License for more details.                             * */
/* *                                                        * */
/* *  You should have received a copy of the GNU General    * */
/* *  Public License along with this program; if not, write * */
/* *  to the Free Software Foundation, Inc., 59 Temple      * */
/* *  Place, Suite 330, Boston, MA  02111-1307  USA         * */
/* *                                                        * */
/* *                                                        * */
/* $Revision: 1.1.1.1 $                                         * */
/* $State: Exp $                                            * */
/* $Date: 2006/02/20 10:28:31 $                             * */
/* $Author: topic $                                      * */
/* *                                                        * */
/* *             Contact:                                   * */
/* *             Christoph Weidenbach                       * */
/* *             MPI fuer Informatik                        * */
/* *             Im Stadtwald                               * */
/* *             66123 Saarbruecken                         * */
/* *             Email: weidenb@mpi-inf.mpg.de               * */
/* *             Germany                                    * */
/* *                                                        * */
/* ********************************************************** */
/**************************************************************/

#ifndef _SPASSDESKTOPWIDGET_
#define _SPASSDESKTOPWIDGET_

/**************************************************************/
/*                         INCLUDES                           */
/**************************************************************/

#include <qlabel.h>
#include <qobject.h>
#include <QMainWindow>
#include <qpixmap.h>
#include <q3popupmenu.h>
#include <qstring.h>
#include <QToolBar>
#include <qwidget.h>

#include "ExitListener.h"
#include "SPASSdefines.h"
#include "SPASSActions.h"
#include "SPASSApplications.h"
#include "SPASSDesktopMainWidget.h"
#include "SPASSFiles.h"
#include "SPASSPreferences.h"
#include "SPASSStatusBar.h"

/**************************************************************/
/*          the main widget for the SPASS Desktop             */
/**************************************************************/
class SPASSDesktopWidget : public QMainWindow
{
 Q_OBJECT
  public:

  //bitmap files
  static const QString ICONPIC;

  private:
  //************************************************************
  //       some constants definig properties of the widget
  //************************************************************

  //main window caption
  static const QString CAPTION;

  //Menu entries
  static const QString MENUENTRY_FILE;
  static const QString MENUENTRY_EDIT;
  static const QString MENUENTRY_RUNMENU;
  static const QString MENUENTRY_OPTIONS;
  static const QString MENUENTRY_HELP;

  ExitListener * exiter;
  static SPASSPreferences* prefs;
  SPASSActions* actions;
  SPASSApplications* applications;
  SPASSDesktopMainWidget* mainWidget;
  SPASSFiles* files;
  SPASSStatusBar* statusbar;

  QPixmap iconpic;
  QString dirpath;
  QString statusmessage;

  Q3PopupMenu* file;
  Q3PopupMenu* edit;
  Q3PopupMenu* options;
  Q3PopupMenu* runmenu;
  Q3PopupMenu* helpmenu;

  // some flags
  //is set to TRUE after all changes to an input file (new file and modifications..)
  bool inputfilechanged;

  //Labels
  QLabel *label1;

  QToolBar *toolbar;

  public :
     SPASSDesktopWidget (QWidget* parent=0, const char *name=0);
     ~SPASSDesktopWidget ();

    static SPASSPreferences* getPreferences(void);
    void setActiveFile ();
};

#endif
