/**************************************************************/
/* ********************************************************** */
/* *                                                        * */
/* *              CLASS SPASSFILES                          * */
/* *                                                        * */
/* *  $Module:   SPASSFILES                                 * */ 
/* *                                                        * */
/* *  Copyright (C) 1999, 2001, 2002 MPI fuer Informatik    * */
/* *                                                        * */
/* *  This program is free software; you can redistribute   * */
/* *  it and/or modify it under the terms of the GNU        * */
/* *  General Public License as published by the Free       * */
/* *  Software Foundation; either version 2 of the License, * */
/* *  or (at your option) any later version.                * */
/* *                                                        * */
/* *  This program is distributed in the hope that it will  * */
/* *  be useful, but WITHOUT ANY WARRANTY; without even     * */
/* *  the implied warranty of MERCHANTABILITY or FITNESS    * */
/* *  FOR A PARTICULAR PURPOSE.  See the GNU General Public * */
/* *  License for more details.                             * */
/* *                                                        * */
/* *  You should have received a copy of the GNU General    * */
/* *  Public License along with this program; if not, write * */
/* *  to the Free Software Foundation, Inc., 59 Temple      * */
/* *  Place, Suite 330, Boston, MA  02111-1307  USA         * */
/* *                                                        * */
/* *                                                        * */
/* $Revision: 1.2 $                                         * */
/* $State: Exp $                                            * */
/* $Date: 2007/01/25 16:17:13 $                             * */
/* $Author: topic $                                      * */
/* *                                                        * */
/* *             Contact:                                   * */
/* *             Christoph Weidenbach                       * */
/* *             MPI fuer Informatik                        * */
/* *             Im Stadtwald                               * */
/* *             66123 Saarbruecken                         * */
/* *             Email: weidenb@mpi-inf.mpg.de               * */
/* *             Germany                                    * */
/* *                                                        * */
/* ********************************************************** */
/**************************************************************/

#ifndef _SPASSFILES_
#define _SPASSFILES_

/**************************************************************/
/*                         INCLUDES                           */
/**************************************************************/

#include <qfile.h>
#include <qfileinfo.h>
#include <qtextstream.h>

/* handle different installation prefixes under windows and unix */

#ifndef HELP_PREFIX
#define HELP_PREFIX "./"
#endif

#ifndef HTML_DIR
#define HTML_DIR "/html/"
#endif
                               
#ifndef PDF_DIR
#define PDF_DIR "/pdf/"
#endif

/*
  This class represents all files used in the desktop.
*/
class SPASSFiles {
  public:
  class Help {
  public:
    static const QString DFG2DFG;
    static const QString FAQ;
    static const QString HANDBOOK;
    static const QString LICENSE;
    static const QString SPASS;
    static const QString SPASS_SYNTAX;
    static const QString WARRANTY;
  };

  class Input {
  public:
    static const QString DEFAULT;

    QFile*     file;
    QFileInfo* fileinfo;

    Input(const QString & filename = DEFAULT);
    ~Input(void);
  };

  Input* input;

  SPASSFiles(void);
  ~SPASSFiles(void);
};


#endif /* _SPASSFILES_ */
