/**************************************************************/
/* ********************************************************** */
/* *                                                        * */
/* *              CLASS SPASSSPLITTER                       * */
/* *                                                        * */
/* *  $Module:   SPASSSPLITTER                              * */ 
/* *                                                        * */
/* *  Copyright (C) 2002 MPI fuer Informatik                * */
/* *                                                        * */
/* *  This program is free software; you can redistribute   * */
/* *  it and/or modify it under the terms of the GNU        * */
/* *  General Public License as published by the Free       * */
/* *  Software Foundation; either version 2 of the License, * */
/* *  or (at your option) any later version.                * */
/* *                                                        * */
/* *  This program is distributed in the hope that it will  * */
/* *  be useful, but WITHOUT ANY WARRANTY; without even     * */
/* *  the implied warranty of MERCHANTABILITY or FITNESS    * */
/* *  FOR A PARTICULAR PURPOSE.  See the GNU General Public * */
/* *  License for more details.                             * */
/* *                                                        * */
/* *  You should have received a copy of the GNU General    * */
/* *  Public License along with this program; if not, write * */
/* *  to the Free Software Foundation, Inc., 59 Temple      * */
/* *  Place, Suite 330, Boston, MA  02111-1307  USA         * */
/* *                                                        * */
/* *                                                        * */
/* $Revision: 1.1.1.1 $                                         * */
/* $State: Exp $                                            * */
/* $Date: 2006/02/20 10:28:31 $                             * */
/* $Author: topic $                                         * */
/* *                                                        * */
/* *             Contact:                                   * */
/* *             Christoph Weidenbach                       * */
/* *             MPI fuer Informatik                        * */
/* *             Im Stadtwald                               * */
/* *             66123 Saarbruecken                         * */
/* *             Email: weidenb@mpi-inf.mpg.de               * */
/* *             Germany                                    * */
/* *                                                        * */
/* ********************************************************** */
/**************************************************************/

#ifndef _SPASS_SPLITTER_
#define _SPASS_SPLITTER_

/**************************************************************/
/*                         INCLUDES                           */
/**************************************************************/

#include <qlabel.h>
#include <qsplitter.h>
#include <qstring.h>
#include <q3vbox.h>

#include "SPASSActions.h"
#include "SPASSStatusBar.h"
#include "SPASSTextEdit.h"

/**************************************************************/
/*          the splitter widget between the editor and output */ 
/**************************************************************/
class SPASSSplitter : public QSplitter
{
  Q_OBJECT

    public:

  SPASSSplitter(SPASSActions * actions, SPASSStatusBar * status, QWidget * parent = 0, const char * name = 0);

  SPASSTextEdit* getInput(void);
  SPASSTextEdit* getOutput(void);

 private:
  static const QString EDITOR_LABEL;
  static const QString OUTPUT_LABEL;

  Q3VBox            left;
  Q3VBox            right;
  QLabel           editor_label;
  QLabel           output_label;

  SPASSTextEdit    input;
  SPASSTextEdit    output;
};

#endif /* _SPASS_SPLITTER_ */


