/**************************************************************/
/* ********************************************************** */
/* *                                                        * */
/* *              CLASS SPASSSTATUSBAR                      * */
/* *                                                        * */
/* *  $Module:   SPASSSTATUSBAR                             * */
/* *                                                        * */
/* *  Copyright (C) 1999, 2001, 2002 MPI fuer Informatik    * */
/* *                                                        * */
/* *  This program is free software; you can redistribute   * */
/* *  it and/or modify it under the terms of the GNU        * */
/* *  General Public License as published by the Free       * */
/* *  Software Foundation; either version 2 of the License, * */
/* *  or (at your option) any later version.                * */
/* *                                                        * */
/* *  This program is distributed in the hope that it will  * */
/* *  be useful, but WITHOUT ANY WARRANTY; without even     * */
/* *  the implied warranty of MERCHANTABILITY or FITNESS    * */
/* *  FOR A PARTICULAR PURPOSE.  See the GNU General Public * */
/* *  License for more details.                             * */
/* *                                                        * */
/* *  You should have received a copy of the GNU General    * */
/* *  Public License along with this program; if not, write * */
/* *  to the Free Software Foundation, Inc., 59 Temple      * */
/* *  Place, Suite 330, Boston, MA  02111-1307  USA         * */
/* *                                                        * */
/* *                                                        * */
/* $Revision: 1.1.1.1 $                                         * */
/* $State: Exp $                                            * */
/* $Date: 2006/02/20 10:28:31 $                             * */
/* $Author: topic $                                      * */
/* *                                                        * */
/* *             Contact:                                   * */
/* *             Christoph Weidenbach                       * */
/* *             MPI fuer Informatik                        * */
/* *             Im Stadtwald                               * */
/* *             66123 Saarbruecken                         * */
/* *             Email: weidenb@mpi-inf.mpg.de               * */
/* *             Germany                                    * */
/* *                                                        * */
/* ********************************************************** */
/**************************************************************/

/**************************************************************/
/*                         INCLUDES                           */
/**************************************************************/

#include "SPASSStatusBar.h"
//Added by qt3to4:
#include <QLabel>
#include <Q3Frame>

/**************************************************************/
/*                        Constructors                        */
/**************************************************************/
/**********************************************************
  INPUT:   A parent widget and a name.
  RETURNS: None.
  EFFECT:  Constructs an instance of this class.
***********************************************************/
SPASSStatusBar::SPASSStatusBar(QWidget *parent=0, const char *name=0)
  :QStatusBar(parent,name),
   cursorpositionbay(this, "cursorpositionbay"),
   filenamebay(this, "filenamebay")
{
  //insert the bays into the status bar
  filenamebay.setFrameStyle(Q3Frame::Sunken);
  cursorpositionbay.setFrameStyle(Q3Frame::Sunken);
  cursorpositionbay.setAlignment(Qt::AlignCenter);
  cursorpositionbay.setFixedWidth(100);

  addWidget(&filenamebay, true);
  addWidget(&cursorpositionbay);
}


//*************************************************************
//                     Public methods
//*************************************************************

/**********************************************************
  INPUT:   the filename
  RETURNS: None.
  EFFECT:  show the name of the input file in the status bar
***********************************************************/
void SPASSStatusBar::showFileName(QString filename)
{
	filenamebay.setText(filename);
}


/**********************************************************
  INPUT:   line and column to be displayed
  RETURNS: None.
  EFFECT:  shows the cursor position in the corresponding bay
***********************************************************/
void SPASSStatusBar::showCursorPosition(int line, int column)
{
	cursorpositionbay.setText("Ln " + QString().setNum(line) + ", Col " + QString().setNum(column));
}

