/**************************************************************/
/* ********************************************************** */
/* *                                                        * */
/* *              CLASS SPASSTEXTEDIT                       * */
/* *                                                        * */
/* *  $Module:   SPASSTEXTEDIT                              * */
/* *                                                        * */
/* *  Copyright (C) 2001, 2002 MPI fuer Informatik          * */
/* *                                                        * */
/* *  This program is free software; you can redistribute   * */
/* *  it and/or modify it under the terms of the GNU        * */
/* *  General Public License as published by the Free       * */
/* *  Software Foundation; either version 2 of the License, * */
/* *  or (at your option) any later version.                * */
/* *                                                        * */
/* *  This program is distributed in the hope that it will  * */
/* *  be useful, but WITHOUT ANY WARRANTY; without even     * */
/* *  the implied warranty of MERCHANTABILITY or FITNESS    * */
/* *  FOR A PARTICULAR PURPOSE.  See the GNU General Public * */
/* *  License for more details.                             * */
/* *                                                        * */
/* *  You should have received a copy of the GNU General    * */
/* *  Public License along with this program; if not, write * */
/* *  to the Free Software Foundation, Inc., 59 Temple      * */
/* *  Place, Suite 330, Boston, MA  02111-1307  USA         * */
/* *                                                        * */
/* *                                                        * */
/* $Revision: 1.1.1.1 $                                         * */
/* $State: Exp $                                            * */
/* $Date: 2006/02/20 10:28:31 $                             * */
/* $Author: topic $                                      * */
/* *                                                        * */
/* *             Contact:                                   * */
/* *             Christoph Weidenbach                       * */
/* *             MPI fuer Informatik                        * */
/* *             Im Stadtwald                               * */
/* *             66123 Saarbruecken                         * */
/* *             Email: weidenb@mpi-inf.mpg.de               * */
/* *             Germany                                    * */
/* *                                                        * */
/* ********************************************************** */
/**************************************************************/
#include <iostream>

#include <QFile>
#include <QTextStream>

#include "SPASSTextEdit.h"

//*************************************************************
//                      Constructors
//*************************************************************
/**********************************************************
  INPUT:   A flag indicating if the text edit is read
           only, a parent widget, and a name.
  RETURNS: None.
  EFFECT:  Creates an instance of this class.
***********************************************************/
SPASSTextEdit::SPASSTextEdit(bool read_only,
			     QWidget* parent,
			     const char* name)
  : Q3TextEdit(parent,name),
    tempfile(this),
    fontChanger(this)
{
    setReadOnly(read_only);
}

/**********************************************************
  INPUT:   None.
  RETURNS: Name of temporary buffer.
  EFFECT:  Writes the contents of the widget into a buffer
           and returns its name.
***********************************************************/
QString SPASSTextEdit::getTemporaryFileName(void)
{
  tempfile.setAutoRemove(false);
  tempfile.close();
  tempfile.open();

  QTextStream stream(&tempfile);
  stream << text();

  return tempfile.fileName();
}
