/**************************************************************/
/* ********************************************************** */
/* *                                                        * */
/* *              CLASS SPASSTEXTEDIT                       * */
/* *                                                        * */
/* *  $Module:   SPASSTEXTEDIT                              * */
/* *                                                        * */
/* *  Copyright (C) 2001, 2002 MPI fuer Informatik          * */
/* *                                                        * */
/* *  This program is free software; you can redistribute   * */
/* *  it and/or modify it under the terms of the GNU        * */
/* *  General Public License as published by the Free       * */
/* *  Software Foundation; either version 2 of the License, * */
/* *  or (at your option) any later version.                * */
/* *                                                        * */
/* *  This program is distributed in the hope that it will  * */
/* *  be useful, but WITHOUT ANY WARRANTY; without even     * */
/* *  the implied warranty of MERCHANTABILITY or FITNESS    * */
/* *  FOR A PARTICULAR PURPOSE.  See the GNU General Public * */
/* *  License for more details.                             * */
/* *                                                        * */
/* *  You should have received a copy of the GNU General    * */
/* *  Public License along with this program; if not, write * */
/* *  to the Free Software Foundation, Inc., 59 Temple      * */
/* *  Place, Suite 330, Boston, MA  02111-1307  USA         * */
/* *                                                        * */
/* *                                                        * */
/* $Revision: 1.1.1.1 $                                         * */
/* $State: Exp $                                            * */
/* $Date: 2006/02/20 10:28:31 $                             * */
/* $Author: topic $                                      * */
/* *                                                        * */
/* *             Contact:                                   * */
/* *             Christoph Weidenbach                       * */
/* *             MPI fuer Informatik                        * */
/* *             Im Stadtwald                               * */
/* *             66123 Saarbruecken                         * */
/* *             Email: weidenb@mpi-inf.mpg.de               * */
/* *             Germany                                    * */
/* *                                                        * */
/* ********************************************************** */
/**************************************************************/

#ifndef _SPASSTEXTEDIT_
#define _SPASSTEXTEDIT_

/**************************************************************/
/*                         INCLUDES                           */
/**************************************************************/

#include <QTemporaryFile>
#include <q3textedit.h>

#include "FontChangedListener.h"

//*************************************************************
// This class extends the functionality of the standard 
// QTextEdit class for the purposes of SPASS GUI.
// We use a font changed listener to handle font changes,
// and add a boolean flag to set readonly status in the
// constructor.
//*************************************************************

class SPASSTextEdit : public Q3TextEdit
{
  Q_OBJECT
    public:
  SPASSTextEdit (bool readonly = false, QWidget* parent = 0, const char* name = 0);
  QString getTemporaryFileName(void);

 private:
  QTemporaryFile tempfile;
  FontChangedListener fontChanger;
};

#endif
