/**************************************************************/
/* ********************************************************** */
/* *                                                        * */
/* *              CLASS SPASSTOOLOPTIONS                    * */
/* *                                                        * */
/* *  $Module:   SPASSTOOLOPTIONS                           * */ 
/* *                                                        * */
/* *  Copyright (C) 1999, 2001, 2002 MPI fuer Informatik    * */
/* *                                                        * */
/* *  This program is free software; you can redistribute   * */
/* *  it and/or modify it under the terms of the GNU        * */
/* *  General Public License as published by the Free       * */
/* *  Software Foundation; either version 2 of the License, * */
/* *  or (at your option) any later version.                * */
/* *                                                        * */
/* *  This program is distributed in the hope that it will  * */
/* *  be useful, but WITHOUT ANY WARRANTY; without even     * */
/* *  the implied warranty of MERCHANTABILITY or FITNESS    * */
/* *  FOR A PARTICULAR PURPOSE.  See the GNU General Public * */
/* *  License for more details.                             * */
/* *                                                        * */
/* *  You should have received a copy of the GNU General    * */
/* *  Public License along with this program; if not, write * */
/* *  to the Free Software Foundation, Inc., 59 Temple      * */
/* *  Place, Suite 330, Boston, MA  02111-1307  USA         * */
/* *                                                        * */
/* *                                                        * */
/* $Revision: 1.1.1.1 $                                         * */
/* $State: Exp $                                            * */
/* $Date: 2006/02/20 10:28:31 $                             * */
/* $Author: topic $                                      * */
/* *                                                        * */
/* *             Contact:                                   * */
/* *             Christoph Weidenbach                       * */
/* *             MPI fuer Informatik                        * */
/* *             Im Stadtwald                               * */
/* *             66123 Saarbruecken                         * */
/* *             Email: weidenb@mpi-inf.mpg.de               * */
/* *             Germany                                    * */
/* *                                                        * */
/* ********************************************************** */
/**************************************************************/

/**************************************************************/
/*                         INCLUDES                           */
/**************************************************************/

#include <qsizepolicy.h>
#include <qtooltip.h>

#include "SPASSToolOptions.h"

/**************************************************************/
/*                         CONSTANTS                          */
/**************************************************************/

const QString SPASSToolOptions::OPTIONS_LABEL("Options ");

const QString SPASSToolOptions::OPTIONS_TOOLTIP("Enter tool options here");

const int SPASSToolOptions::WIDGET_SPACING = 5;
const int SPASSToolOptions::WIDGET_MARGIN = 5;

/**************************************************************/
/*                        Constructors                        */
/**************************************************************/

/**********************************************************
  INPUT:   SPASS actions, a parent widget, a widget name,
           and widget flags.
  RETURNS: None.
  EFFECT:  Creates new SPASSToolOptions object.
***********************************************************/
SPASSToolOptions::SPASSToolOptions(QWidget* parent, const char* name, Qt::WFlags f)
  : Q3HBox(parent, name, f),
    label(OPTIONS_LABEL, this, "options label"),
    edit(true, this, "option edits")
{
  label.setAlignment(Qt::AlignLeft);
  edit.setAutoCompletion(true);

  /* add tooltips. */
  QToolTip::add(&edit, OPTIONS_TOOLTIP);

  label.setSizePolicy(QSizePolicy(QSizePolicy::Maximum, QSizePolicy::Fixed));
  setSizePolicy(QSizePolicy(QSizePolicy::Minimum, QSizePolicy::Fixed));

  /* Add spacing and margin for better looking layout */
  setSpacing(WIDGET_SPACING);
  setMargin(WIDGET_MARGIN);
}

