/**************************************************************/
/* ********************************************************** */
/* *                                                        * */
/* *              SPASSDEFINES                              * */
/* *                                                        * */
/* *  Copyright (C) 1999, 2001, 2002 MPI fuer Informatik    * */
/* *                                                        * */
/* *  This program is free software; you can redistribute   * */
/* *  it and/or modify it under the terms of the GNU        * */
/* *  General Public License as published by the Free       * */
/* *  Software Foundation; either version 2 of the License, * */
/* *  or (at your option) any later version.                * */
/* *                                                        * */
/* *  This program is distributed in the hope that it will  * */
/* *  be useful, but WITHOUT ANY WARRANTY; without even     * */
/* *  the implied warranty of MERCHANTABILITY or FITNESS    * */
/* *  FOR A PARTICULAR PURPOSE.  See the GNU General Public * */
/* *  License for more details.                             * */
/* *                                                        * */
/* *  You should have received a copy of the GNU General    * */
/* *  Public License along with this program; if not, write * */
/* *  to the Free Software Foundation, Inc., 59 Temple      * */
/* *  Place, Suite 330, Boston, MA  02111-1307  USA         * */
/* *                                                        * */
/* *                                                        * */
/* $Revision: 1.1.1.1 $                                         * */
/* $State: Exp $                                            * */
/* $Date: 2006/02/20 10:28:31 $                             * */
/* $Author: topic $                                      * */
/* *                                                        * */
/* *             Contact:                                   * */
/* *             Christoph Weidenbach                       * */
/* *             MPI fuer Informatik                        * */
/* *             Im Stadtwald                               * */
/* *             66123 Saarbruecken                         * */
/* *             Email: weidenb@mpi-inf.mpg.de               * */
/* *             Germany                                    * */
/* *                                                        * */
/* ********************************************************** */
/**************************************************************/


//*************************************************************
//    This header file contains macro definitions which are
//    used in several SPASS for Windows modules and wich
//    shall be made available globally.
//*************************************************************


#ifndef _SPASSDEFINES_
#define _SPASSDEFINES_

//*************************************************************
//                     Error messages
//*************************************************************

#define ERR_NO_INPUT_FILE_OPEN "No input file open !"
#define ERR_FILE_EXISTS "The file already exists !"
#define ERR_NO_WRITE_PERMISSION "You don't have write permission !"
#define ERR_FILE_NOT_READABLE "You don't have read permission !"
#define ERR_FILE_EXISTS_OVERWRITE "The file already exists, do you want to overwrite it ?"

#define ERR_SPASS_ERROR "SPASS reported an error, check if input is correct !"
#define ERR_SPASS_NO_READPIPE "Unable to open a read pipe to SPASS !"
#define ERR_SPASS_NO_ERRORPIPE "Unable to open an error pipe o SPASS !"
#define ERR_KILL_FROM_SPASSDESKTOP "A running SPASS can only be killed from outside the main desktop !"

#define ERR_DFG2ASCII_ERROR "DFG2ASCII reported an error, check if the input is correct !"
#define ERR_DFG2ASCII_NO_READPIPE "Unable to open a read pipe to DFG2ASCII !"
#define ERR_DFG2ASCII_NO_ERRORPIPE "Unable to open an error pipe to DFG2ASCII !"

#endif

