/**************************************************************/
/* ********************************************************** */
/* *                                                        * */
/* *       CLASS SAVEFILELISTENER                           * */
/* *                                                        * */
/* *  $Module:   SAVEFILELISTENER                           * */ 
/* *                                                        * */
/* *  Copyright (C) 2001, 2002 MPI fuer Informatik          * */
/* *                                                        * */
/* *  This program is free software; you can redistribute   * */
/* *  it and/or modify it under the terms of the GNU        * */
/* *  General Public License as published by the Free       * */
/* *  Software Foundation; either version 2 of the License, * */
/* *  or (at your option) any later version.                * */
/* *                                                        * */
/* *  This program is distributed in the hope that it will  * */
/* *  be useful, but WITHOUT ANY WARRANTY; without even     * */
/* *  the implied warranty of MERCHANTABILITY or FITNESS    * */
/* *  FOR A PARTICULAR PURPOSE.  See the GNU General Public * */
/* *  License for more details.                             * */
/* *                                                        * */
/* *  You should have received a copy of the GNU General    * */
/* *  Public License along with this program; if not, write * */
/* *  to the Free Software Foundation, Inc., 59 Temple      * */
/* *  Place, Suite 330, Boston, MA  02111-1307  USA         * */
/* *                                                        * */
/* *                                                        * */
/* $Revision: 1.1.1.1 $                                         * */
/* $State: Exp $                                            * */
/* $Date: 2006/02/20 10:28:31 $                             * */
/* $Author: topic $                                         * */
/* *                                                        * */
/* *             Contact:                                   * */
/* *             Christoph Weidenbach                       * */
/* *             MPI fuer Informatik                        * */
/* *             Im Stadtwald                               * */
/* *             66123 Saarbruecken                         * */
/* *             Email: weidenb@mpi-inf.mpg.de               * */
/* *             Germany                                    * */
/* *                                                        * */
/* ********************************************************** */
/**************************************************************/

/**************************************************************/
/*                         INCLUDES                           */
/**************************************************************/

#include <q3filedialog.h>
#include <qmessagebox.h>

#include "SaveFileListener.h"
#include "SPASSdefines.h"
#include "SPASSDialogs.h"

/**************************************************************/
/*                        Constructors                        */
/**************************************************************/
/**********************************************************
  INPUT:   A pointer to SPASSFiles, a pointer to a text
           editor, a pointer to the status bar, a pointer to
           an action.
  RETURNS: None.
  EFFECT:  Constructs the save file listener, and connects
           the action's activated signal with this object's
           listen slot.
***********************************************************/
SaveFileListener::SaveFileListener(SPASSFiles *f, SPASSSplitter *splitter, SPASSStatusBar *status, QAction * action)
  : FileListener(f, splitter, status)
{
  connect(action, SIGNAL(activated()),
	  this, SLOT(listen()));
}

/**************************************************************/
/*                          Slots                             */
/**************************************************************/

/**********************************************************
  INPUT:   None.
  RETURNS: None.
  EFFECT:  handles the File Save event.
           Saves a  file in the editor.
***********************************************************/
void SaveFileListener::listen(void)
{
  save();
}



